# Locate earthquake using hypoellipse with S. Alps
# 1D model
# Note that magnitude is computed separately, see
# runmagnz
#
# to run this, $1=day, $2=event
#
# for example:
#  runhypoel 951116 951116.192254
#
cd $1
cd $2
rm control.hyel
rm hypo.ctl
rm vlaf31.hyel
rm sta.hyel
rm hypop
rm fort.4
ln -s /eosx/sapse/earss/hyp/control.hyel control.hyel
ln -s /eosx/sapse/earss/hyp/hypo.ctl hypo.ctl
ln -s /eosx/sapse/earss/hyp/vlaf31.hyel vlaf31.hyel
ln -s /eosx/sapse/earss/hyp/sta.hyel sta.hyel
rm hypop
#ln -s $2Cp hypop
# for file that has broadbands merged in use Mp
ln -s $2Mp hypop
cat /eosx/sapse/earss/hyp/Hypoe.in | Hypoe
cat /eosx/sapse/earss/hyp/exin | ex hypoel.out
ls -l $2*
rm control.hyel
rm hypo.ctl
rm vlaf31.hyel
rm sta.hyel
rm hypop
rm fort.4
#
# Fix arc summary line if single station
ln -s hypoel.arc fort.1
ln -s hypoel.out fort.2
sum2arc
mv -f hypoel.out $2.hout
# mv hypoel.arc $2.arc
mv -f fort.21 $2.arc
rm fort.1
rm fort.2
rm hypoel.arc
